@import "../../../../../../styles/_var.scss";

.navigation-item-container {

  font-size: 15px;

  .navigation-item {
    padding: 16px 16px;
    position: relative;
    cursor: pointer;
    color: $color__navigation-item;
    text-decoration: none;

    .icon {
      margin-right: 6px;
      font-size: 24px;
      width: 24px;
      height: 24px;
      line-height: 24px;
    }

    .name {
      margin-top: -1px;
    }

    &.active {
      background: #EEE;
      color: mat-color($color-primary);
    }
  }

  &.dropdown-item-active {
    .navigation-item {
      background: #EEE;
      color: mat-color($color-primary);
    }
  }

  .dropdown {
    position: absolute;
    background: white;
    min-width: 250px;
    visibility: hidden;
    top: 100%;
    z-index: -1;
    padding: 8px 0;
    transform: translate3d(0, -110%, 0);
    transition: transform .25s cubic-bezier(.25,.8,.25,1), visibility 0s linear .25s;

    @include mat-elevation(2);
  }

  &:hover, &:focus {
    .navigation-item {
      color: mat-color($color-primary);
    }

    .dropdown {
      visibility: visible;
      transform: translate3d(0, 0, 0);
      transition: transform .25s cubic-bezier(.25,.8,.25,1) .1s, visibility 0s linear .1s;
    }
  }
}
